Skip to main content
GET
/
apps
List apps
curl --request GET \
  --url https://api.onecli.sh/v1/apps \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "available": true,
    "configurable": true,
    "config": {
      "hasCredentials": true,
      "enabled": true
    },
    "connections": [
      {
        "id": "<string>",
        "label": "<string>",
        "status": "<string>",
        "scopes": [
          "<string>"
        ],
        "connectedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "credentialStubs": [
      {
        "path": "<string>",
        "content": {}
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Response

200 - application/json

List of apps

id
string
name
string
available
boolean
connectionType
enum<string>
Available options:
oauth,
credentials_import,
api_key,
cloud_only
configurable
boolean
config
object | null
connections
object[]

All of the provider's connections in the current project.

credentialStubs
object[]

Local credential stub files some MCP servers need before they can start (secrets replaced with onecli-managed placeholders).